#include "rotise.h"

/* Must be in alphabetical order! */

CMDLIST CmdTable[] = {
{ 	"#",
	"- Comment char. Anything after this, up to EOL, is ignored.",
	comment },
{	"$",
	"Transaction Amount - Cost of transaction specifier.\n",
	cost },
{	";",
	"Comment char. Anything after this, up to EOL, is ignored.",
	comment },
{ 	"=",
	"Date Filename [Pfilename] - Declare new interval.",
	interval },
{	"activate",
	"RotoTeam PlayerKey - Activate player.",
	activate },
{	"add",
	"RotoTeam PlayerKey Slot Salary Contract FullName - Add player to roster.",
	add },
{ 	"bstats",
	"StatList - Indicate batter stats.",
	bstats },
{	"claim",
	"RotoTeam PlayerKey Slot [FullName] - claim player from free agent list.",
	claim },
{	"create",
	"PlayerKey Positions - Create a new player with position list",
	create },
{	"expand",
	"RotoTeam PlayerKey P|K - Add roster expansion player.",
	expand },
{ 	"hide",
	"PlayerKey - Hide player on free agent list.",
	hide },
{ 	"league",
	"FullName - Give name and description to league.",
	league },
{ 	"minors",
	"RotoTeam PlayerKey [FullName] - Add player to team's minor league reserve.",
	minors },
{	"move",
	"RotoTeam PlayerKey NewSlot - change player's slot.",
	move },
{	"oposf",
	"Filename - name of last year's position file.",
	oposf },
{	"owner",
	"RotoTeam FullName - assign owner(s) to RotoTeam.",
	owner },
{	"pstats",
	"StatList - Indicate pitcher stats.",
	pstats },
{	"release",
	"RotoTeam PlayerKey [W] - Release player.",
	release },
{	"reserve",
	"RotoTeam PlayerKey - Reserve player.",
	reserve },
{ 	"salunit",
	"Pennies - How many pennies in a salary unit.",
	salunit },
{	"slot",
	"SlotName Positions - Roster slot description.",
	slot },
{	"status",
	"PlayerKey [StatWord [date]] - Assign status to player.",
	status },
{	"team",
	"RotoTeam FullName - Name a rotisserie team.",
	team },
{ 	"trade",
	"RotoTeam PlayerKey NewRotoTeam Cost - trade a player.",
	trade },


{	NULL, NULL, NULL } };	
